GH-RULESET-LIST(1)

NAME
gh-ruleset-list - List rulesets for a repository or organization

SYNOPSIS
gh ruleset list [flags]

DESCRIPTION
List GitHub rulesets for a repository or organization.

If no options are provided, the current repository's rulesets are listed. You can query a different repository's rulesets by using the --repo flag. You can also use the --org flag to list rulesets configured for the provided organization.

Use the --parents flag to control whether rulesets configured at higher levels that also apply to the provided repository or organization should be returned. The default is true.

Your access token must have the admin:org scope to use the --org flag, which can be granted by running gh auth refresh -s admin:org.

OPTIONS

-L, --limit <int> (default 30)
    Maximum number of rulesets to list

-o, --org <string>
    List organization-wide rulesets for the provided organization

-p, --parents (default true)
    Whether to include rulesets configured at higher levels that also apply

-w, --web
    Open the list of rulesets in the web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    # List rulesets in the current repository
    $ gh ruleset list

    # List rulesets in a different repository, including those configured at higher levels
    $ gh ruleset list --repo owner/repo --parents

    # List rulesets in an organization
    $ gh ruleset list --org org-name

SEE ALSO
gh-ruleset(1)